# QDomNode Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QDomNode()
- void QDomNode(QDomNode arg__1)

### Constructor Properties

- prototype: The QDomNode prototype object
- ElementNode = 1
- AttributeNode = 2
- TextNode = 3
- CDATASectionNode = 4
- EntityReferenceNode = 5
- EntityNode = 6
- ProcessingInstructionNode = 7
- CommentNode = 8
- DocumentNode = 9
- DocumentTypeNode = 10
- DocumentFragmentNode = 11
- NotationNode = 12
- BaseNode = 21
- CharacterDataNode = 22
- NodeType( value )
- EncodingFromDocument = 1
- EncodingFromTextStream = 2
- EncodingPolicy( value )

### Prototype Object Properties

- QDomNode appendChild(QDomNode newChild)
- QDomNodeList childNodes()
- void clear()
- QDomNode cloneNode(bool deep)
- int columnNumber()
- QDomNode firstChild()
- QDomElement firstChildElement(String tagName)
- bool hasAttributes()
- bool hasChildNodes()
- QDomNode insertAfter(QDomNode newChild, QDomNode refChild)
- QDomNode insertBefore(QDomNode newChild, QDomNode refChild)
- bool isAttr()
- bool isCDATASection()
- bool isCharacterData()
- bool isComment()
- bool isDocument()
- bool isDocumentFragment()
- bool isDocumentType()
- bool isElement()
- bool isEntity()
- bool isEntityReference()
- bool isNotation()
- bool isNull()
- bool isProcessingInstruction()
- bool isSupported(String feature, String version)
- bool isText()
- QDomNode lastChild()
- QDomElement lastChildElement(String tagName)
- int lineNumber()
- String localName()
- QDomNode namedItem(String name)
- String namespaceURI()
- QDomNode nextSibling()
- QDomElement nextSiblingElement(String taName)
- String nodeName()
- NodeType nodeType()
- String nodeValue()
- void normalize()
- bool operator_equal(QDomNode arg__1)
- QDomDocument ownerDocument()
- QDomNode parentNode()
- String prefix()
- QDomNode previousSibling()
- QDomElement previousSiblingElement(String tagName)
- QDomNode removeChild(QDomNode oldChild)
- QDomNode replaceChild(QDomNode newChild, QDomNode oldChild)
- void save(QTextStream arg__1, int arg__2)
- void setNodeValue(String arg__1)
- void setPrefix(String pre)
- QDomAttr toAttr()
- QDomCDATASection toCDATASection()
- QDomCharacterData toCharacterData()
- QDomComment toComment()
- QDomDocument toDocument()
- QDomDocumentFragment toDocumentFragment()
- QDomDocumentType toDocumentType()
- QDomElement toElement()
- QDomEntity toEntity()
- QDomEntityReference toEntityReference()
- QDomNotation toNotation()
- QDomProcessingInstruction toProcessingInstruction()
- QDomText toText()
- void writeTo(QTextStream arg__1)

### Instance Properties

QDomNode objects have no special properties beyond those inherited from the QDomNode prototype object.